package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.GtxArg;
import com.brilliance.isc.bo.GtxUse;
import org.apache.ibatis.annotations.Mapper;
import com.brilliance.isc.vo.manager.GtxArgVo;

import java.util.List;

@Mapper
public interface GtxArgMapper {

    int insert(GtxArg record);

    int insertSelective(GtxArg record);

    int updateByPrimaryKeySelective(GtxArg record);

    int updateByPrimaryKey(GtxArg record);

    int deleteByPrimaryKey(GtxArg record);

    GtxArg selectByPrimaryKey(GtxArg record);

    GtxArg selectByCodAndTrntyp(GtxArg record);

    List<GtxArg> listGidTemplateVariable(GtxUse record);

    GtxArg selectByPathAndTrntyp(GtxArg record);

    List<GtxArg> listFuzzyByRecord(GtxArg record);

    List<GtxArgVo> listFuzzyVoByRecord(GtxArg record);

}
